> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Domains

Use this API to remove domains from your organization's allowed domains list.

> [!NOTE]
>
> This endpoint uses **API-key-level auth**: pass `x-velt-api-key` and `x-velt-auth-token` as headers. You can obtain these from the [Get Auth Tokens](https://velt.dev/docs/api-reference/rest-apis/v2/workspace/authtokens-get.md) endpoint.

# Endpoint

`POST https://api.velt.dev/v2/workspace/domains/delete`

# Headers

**x-velt-api-key** `string` *required*

Your API key.

**x-velt-auth-token** `string` *required*

Your [Auth Token](https://velt.dev/docs/security/auth-tokens.md).

# Body

#### Params

**data** `object` *required*

**properties**

**domains** `string[]` *required*

Array of domains to remove. Max 100 entries. You can send full URLs (e.g., `"https://www.example.com"`) or bare domains (e.g., `"example.com"`). The API normalizes all entries by stripping the protocol and `www` prefix before matching.

# Example Request

```JSON theme={null}
{
  "data": {
     "domains" : [
        "https://www.google.com",
        "https://*.firebase.com"
     ]
  }
}
```

# Example Response

#### Success Response

```JSON theme={null}
{
    "result": {
        "status": "success",
        "message": "Domain(s) removed successfully from allowed domains.",
        "data": {
            "domainsRemoved": [
                "google.com",
                "*.firebase.com"
            ]
        }
    }
}
```

#### Failure Response

##### If some domains are not in the allowed domains

```JSON theme={null}
{
    "error": {
        "details": {
            "domainsRemoved": [
                "velt.dev"
            ],
            "skippedDomains": [
                "google.com"
            ]
        },
        "message": "Domain(s) removed successfully from allowed domains. Skipped non-existing domains.",
        "status": "INTERNAL"
    }
}
```

```js theme={null}
{
    "result": {
        "status": "success",
        "message": "Domain(s) removed successfully from allowed domains.",
        "data": {
            "domainsRemoved": [
                "google.com",
                "*.firebase.com"
            ]
        }
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.